Update Organization

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/organization

Each user belongs to precisely 1 organization (company or association). Billing plans and invoices are managed on the organization-level. Several things are restricted within an organization. For example a user can't list users from another organization and dashboards/datasets are by default not accessible to other users. However, in case it is necessary to share securables cross organization, securables can be associated directly to a user or group.

Only the owner of the organization can update. The owner is the user that first created an account.

Request parametersResponse schema
Expand all Reset
id *UUIDrequired

The unique identifier of the entity

properties *OBJECTrequired
name Multilingual string
address_line_1 STRING
address_line_2 STRING
zipcode STRING
city STRING
state STRING
vat STRING
legal_name STRING
peppol_id STRING
payment_method STRING
invoicing_email STRING
dpo_name STRING
dpo_address_line_1 STRING
dpo_address_line_2 STRING
dpo_email STRING
dpo_phone STRING
dpa_signed_by STRING
dpa_signed_on DATETIME
dpa_version NUMBER
dpa_text STRING
main_color STRING
accent_color STRING
from_email STRING
channel_options OBJECT
flag_ai_powered_features BOOLEAN
flag_ai_logs_retention_enabled BOOLEAN
Can be executed by:
Entity Owner
Can be associated to:
Country
Locale
Theme
Plan
Timezone
Plugin
Thumbnail
Channel
User
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "id": "< your organization id >",
  "name": {
    "nl": "Jouw organisatie",
    "en": "Your organization",
    "fr": "Ton association"
  }
}